<?php
namespace Concrete\Package\TwitterPush\Controller\SinglePage\Dashboard\Pages;

use Concrete\Package\TwitterPush;
use Concrete\Core\Page\Controller\DashboardPageController;
use Concrete\Core\Support\Facade\Application;
use Concrete\Core\Package\Package;
use Concrete\Core\Routing\Redirect;
use Concrete\Core\Page\Single as SinglePage;

defined('C5_EXECUTE') or die("Access Denied.");
class Push extends DashboardPageController
{

    public function view() {  
        $pkg = Package::getByHandle('twitter_push');
        $consumerKey = $pkg->getConfig()->get('settings.twitter_push.consumerKey');
        $consumerSecret = $pkg->getConfig()->get('settings.twitter_push.consumerSecret');
        $accessToken = $pkg->getConfig()->get('settings.twitter_push.accessToken');
        $accessTokenSecret = $pkg->getConfig()->get('settings.twitter_push.accessTokenSecret');
        $messageString = $pkg->getConfig()->get('settings.twitter_push.messageString');
        
        $this->set('consumerKey', $consumerKey);
        $this->set('consumerSecret', $consumerSecret);
        $this->set('accessToken', $accessToken);
        $this->set('accessTokenSecret', $accessTokenSecret);
        $this->set('messageString', $messageString);
    }

    public function update_configuration() {
      if (!$this->token->validate('perform_update_configuration')) {
            $this->flash('error', $this->token->getErrorMessage());
            return Redirect::to('/dashboard/pages/push');
      }

      $pkg = Package::getByHandle('twitter_push');
      $consumerKey = $this->request->request->get('consumerKey');
      $consumerSecret = $this->request->request->get('consumerSecret');
      $accessToken = $this->request->request->get('accessToken');
      $accessTokenSecret = $this->request->request->get('accessTokenSecret');

      if (empty($consumerKey && $consumerSecret && $accessToken && $accessTokenSecret)) {
          $this->flash('error', t('Please fill in API values.'));
          return Redirect::to('/dashboard/pages/push');

      } else {
 
      $twitter = new \Twitter($consumerKey, $consumerSecret, $accessToken, $accessTokenSecret);  
          if (!$twitter->authenticate()) {
              $this->flash('error', t('Authentication failed. Please check the data entered.'));
              return Redirect::to('/dashboard/pages/push');
          } else {
        
              if ($this->request->request->all()) {
                  $consumerKey = $this->request->request->get('consumerKey');
                  $consumerSecret = $this->request->request->get('consumerSecret');
                  $accessToken = $this->request->request->get('accessToken');
                  $accessTokenSecret = $this->request->request->get('accessTokenSecret');
                  $messageString = $this->request->request->get('messageString');
               
                  $pkg = Package::getByHandle('twitter_push');
                  $pkg->getConfig()->save('settings.twitter_push.consumerKey', $consumerKey);
                  $pkg->getConfig()->save('settings.twitter_push.consumerSecret', $consumerSecret);
                  $pkg->getConfig()->save('settings.twitter_push.accessToken', $accessToken);
                  $pkg->getConfig()->save('settings.twitter_push.accessTokenSecret', $accessTokenSecret);
                  $pkg->getConfig()->save('settings.twitter_push.messageString', $messageString);
                    
                $this->set('message', t("Configuration saved and validated"));
              }
         }
        $this->view();
      }
    }
}
?>
