<?php
namespace TwitterPush\TwitterPush;

use Concrete\Core\Package\Package;
use Concrete\Core\Support\Facade\Log;
use Concrete\Core\Page\Collection\Collection;
use Concrete\Core\Page\Page;
use Concrete\Core\Support\Facade\Url;

class Push {

    public function pageAdd($event) {
        $p = $event->getPageObject();
        $p_on = $p->getAttribute('push_to_twitter');

        if ($p_on ==1) {
            $p_name = $p->getCollectionName();
            $p_url = Url::to($p);
            $pkg = Package::getByHandle('twitter_push');
            $consumerKey = $pkg->getConfig()->get('settings.twitter_push.consumerKey');
            $consumerSecret = $pkg->getConfig()->get('settings.twitter_push.consumerSecret');
            $accessToken = $pkg->getConfig()->get('settings.twitter_push.accessToken');
            $accessTokenSecret = $pkg->getConfig()->get('settings.twitter_push.accessTokenSecret');
            $messageString = h($pkg->getConfig()->get('settings.twitter_push.messageString'));

            $twitter = new \Twitter($consumerKey, $consumerSecret, $accessToken, $accessTokenSecret);

            if (!$twitter->authenticate()) {
                //Log::addWarning('Not successfully authenticated.');
                die('Invalid Authentication');
            } else {
                $twitter->send($messageString . ' ' . $p_name . ' ' . $p_url);
            }
        }
    }
}	




